cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders/PO-0001/notes/note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_order_note(
"PO-0001", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrderNote('PO-0001', 'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrderNote(
'PO-0001',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderNote;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderNote> response = client.purchaseOrders().getPurchaseOrderNote(
"PO-0001",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrderNoteAsync(
"PO-0001",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrderNote(
'PO-0001',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrderNote(context.Background(), "PO-0001", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"purchase_order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Purchase orders
Retrieve a purchase order note
Returns one note of a purchase order under note.
GET
/
purchase_orders
/
{purchase_order_id}
/
notes
/
{purchase_order_note_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_orders/PO-0001/notes/note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_orders.get_purchase_order_note(
"PO-0001", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.getPurchaseOrderNote('PO-0001', 'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->getPurchaseOrderNote(
'PO-0001',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderNote;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderNote> response = client.purchaseOrders().getPurchaseOrderNote(
"PO-0001",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.GetPurchaseOrderNoteAsync(
"PO-0001",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.getPurchaseOrderNote(
'PO-0001',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().GetPurchaseOrderNote(context.Background(), "PO-0001", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"purchase_order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the note with its content, attachments and watchers under
note. Address the purchase order by its code.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The purchase order's code. The note calls address a purchase order by its code.
The note's id, from the note create or the notes list.
Response
The note, under note.
Show child attributes
Show child attributes